Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
dns-zones
[DNS Zones] List all DNS zones
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "zone_name": "<string>",
      "mode": "onetsolutions",
      "cloudflare_nameservers": "<unknown>",
      "is_active": true,
      "is_verified": true,
      "record_count": 123,
      "created": "2023-11-07T05:31:56Z",
      "modified": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string<uuid>
required
project_id
string<uuid>
required

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

Successfully retrieved the list of DNS zones

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"